diff --git a/src/backend/tcop/utility.c b/src/backend/tcop/utility.c
index c6faa6619d..3f7ded33d3 100644
*** a/src/backend/tcop/utility.c
--- b/src/backend/tcop/utility.c
***************
*** 2405,2411 **** CreateCommandTag(Node *parsetree)
  			break;
  
  		case T_RenameStmt:
! 			tag = AlterObjectTypeCommandTag(((RenameStmt *) parsetree)->renameType);
  			break;
  
  		case T_AlterObjectDependsStmt:
--- 2405,2418 ----
  			break;
  
  		case T_RenameStmt:
! 			/*
! 			 * When the column is renamed, the command tag is created
! 			 * from its relation type
! 			 */
! 			tag = AlterObjectTypeCommandTag(
! 				((RenameStmt *) parsetree)->renameType == OBJECT_COLUMN ?
! 				((RenameStmt *) parsetree)->relationType :
! 				((RenameStmt *) parsetree)->renameType);
  			break;
  
  		case T_AlterObjectDependsStmt:
